<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Detecting Web Cache Poisoning — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `scan --url <val> --headers <val>` | Scan for unkeyed cache inputs |
| `poison --url <val> --header <val> --value <val>` | Attempt cache poisoning |
| `verify --url <val> --cache-buster <val>` | Verify cached poison payload |
| `report --url <val> --format <val>` | Generate cache poisoning report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--url` | string | Yes | Url parameter |
| `--headers` | string | Yes | Headers parameter |
| `--header` | string | Yes | Header parameter |
| `--value` | string | Yes | Value parameter |
| `--cache-buster` | string | Yes | Cache Buster parameter |
| `--format` | string | Yes | Format parameter |
